Mailinglist Archive: opensuse (5130 mails)

< Previous Next >
Re: [SLE] Configuring Apache for php on SuSE 9.3 Pro
  • From: Per Jessen <per@xxxxxxxxxxxx>
  • Date: Sat, 13 May 2006 10:25:50 +0200
  • Message-id: <e4456e$qmk$4@xxxxxxxxxxxxxxxx>
peter wrote:

> I'm sure as I can be. For example, if I put a LoadModule directive
> in, I get an error message on restarting Apache that says something
> like,
> "Module already loaded, skipping". Take it out and the error message
> goes away.

OK, good test.

> I am to systems admin what a fish is to mountaineering, so I may have
> drawn a wrong conclusion here - but either way it doesn't work (even
> with the redundant - apparently - LoadModule)

OK, let's recap for a second -

you're using apache 2.x.5x and you're having problems getting it to run
PHP. PHP code is being served as PHP code instead of being interpreted
and turned into plain HTML.

Which PHP version are you using - 4 or 5?

Try commenting out your <IfModule sapi_apache2.c> directives, and see
what happens.


/Per Jessen, Z├╝rich


< Previous Next >
Follow Ups